Bug 1417425 - Release note script is not handling well "No Doc Update" category
Summary: Release note script is not handling well "No Doc Update" category
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: General
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.1.1
: ---
Assignee: Rafael Martins
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 05:59 UTC by Sandro Bonazzola
Modified: 2019-04-28 13:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-02-12 16:10:02 UTC
oVirt Team: Integration
rule-engine: ovirt-4.1+


Attachments (Terms of Use)

Description Sandro Bonazzola 2017-01-29 05:59:47 UTC
Example from 4.1.0 release notes:

No Doc Update
oVirt Engine
Team: SLA

    BZ 1346669 Can't start a VM (NPE around scheduling.SchedulingManager.selectBestHost(SchedulingManager.java:434) )
    undefined

The line with "undefined" shouldn't be added: just the list of BZs is enough there.

Comment 1 Yaniv Kaul 2017-02-12 16:10:02 UTC
I think I've fixed it with https://gerrit.ovirt.org/#/c/72048/ .

Comment 2 Rafael Martins 2017-02-13 11:40:14 UTC
(In reply to Yaniv Kaul from comment #1)
> I think I've fixed it with https://gerrit.ovirt.org/#/c/72048/ .

Hi Yaniv,

I think that this bug is related to the release_notes_git.py script. At least I was able to reproduce the issue with it. Not sure if we are using the release_notes.py script yet.

I'm looking at consolidating the scripts we have and port the functionality you implemented to the git based script.

Thanks.
Rafael

Comment 3 Rafael Martins 2017-02-13 11:48:01 UTC
(In reply to Rafael Martins from comment #2)
> (In reply to Yaniv Kaul from comment #1)
> > I think I've fixed it with https://gerrit.ovirt.org/#/c/72048/ .
> 
> Hi Yaniv,
> 
> I think that this bug is related to the release_notes_git.py script. At
> least I was able to reproduce the issue with it. Not sure if we are using
> the release_notes.py script yet.

I meant: Not sure if we are still using the release_notes.py script.

> I'm looking at consolidating the scripts we have and port the functionality
> you implemented to the git based script.
> 
> Thanks.
> Rafael


Note You need to log in before you can comment on or make changes to this bug.